from aiohttp import web

from singleton import Singleton
from services.basicservice import BasicService


class Ekp(BasicService, metaclass=Singleton):
    def __init__(self):
        super().__init__(__file__)

    def getRoutes(self) -> list[web.AbstractRouteDef]:
        return [web.post('/ws/tsp/CardStatus', handler=self.handler)]

    async def handler(self, request: web.Request) -> web.Response:
        self._loadCases("cases.json")
        return self._createResponse(request.path)

instance = Ekp()
